Orchestration: Phabricator
================================

This library allows you to query and retrieve credentials from a Phabricator instance using Passphrase.  It automatically uses the `~/.arcrc` file configured on a system to determine the token to use.

Installation
--------------

Install this library as a development dependency (for use in your Gulpfile) with:

```
npm install --save-dev orchestration-phabricator
```

Usage
--------

```
var phabricatorConduit = require('orchestration-phabricator');

var credentialsToRetrieve = {
  'Key1': {
    credential1: { id: 1, type: 'username' },
    credential2: { id: 1, type: 'password' },
  },
  'Key2': {
    custom_cred: { id: 2, type: 'password' },
    another_cred: { id: 3, type: 'password' },
  },
}

// From within a Gulp task...
phabricatorConduit.getCredentialsFromIdList('your.phabricator.domain', credentialsToRetrieve, (err, credentials) => {
  if (err) {
    callback(err);
    return;
  }

  var username = credentials['Key1'].credential1;
  var password = credentials['Key1'].credential2;

  var passwordA = credentials['Key2'].custom_cred;
  var passwordB = credentials['Key2'].another_cred;

  callback();
});
```